

% Input measured values of total concentrations (mole/L)
% ======================================================

Temp_C = 35;

           
Tot_H = 1e-7;           % Total concentration of proton species
Tot_Na = 0.0;          % Total concentration of sodium species
Tot_K = 0.0;           % Total concentration of potassium species
Tot_NH4 = 0.094468181;         % Total concentration of ammonium species
Tot_Cl = 0.005210099;        % Total concentration of cloride species
Tot_Ac = 0.001395542;         % Total concentration of acetate species
Tot_Pr = 0.000156999;         % Total concentration of propionate species
Tot_Ca = 0.0;         % Total concentration of calcium species
Tot_Mg = 0.0;         % Total concentration of magnesium species
Tot_CO3 = 0.095148824;        % Total concentration of carbonate species
Tot_SO4 = 0.0;        % Total concentration of sulfate species
Tot_PO4 = 0.0;        % Total concentration of phosphate species
Tot_Al = 0.0;         % Total concentration of aluminium species
Tot_Fe2 = 0.0;        % Total concentration of ferrous iron species
Tot_Fe3 = 0.0;        % Total concentration of ferric iron species
Tot_HS = 0.0;         % Total concentration of hydrogen sulfur species
Tot_Bu = 8.7519E-05;
Tot_Va = 5.9291E-05;

t0 = 0;
tf = 100;

input_file (1,:) = [t0 Tot_H  Tot_Na Tot_K Tot_NH4 Tot_Cl Tot_Ac Tot_Pr Tot_Ca Tot_Mg Tot_CO3 Tot_SO4 Tot_PO4 Tot_Al Tot_Fe2 Tot_Fe3 Tot_HS Tot_Bu Tot_Va Temp_C];
input_file (2,:) = [tf Tot_H  Tot_Na Tot_K Tot_NH4 Tot_Cl Tot_Ac Tot_Pr Tot_Ca Tot_Mg Tot_CO3 Tot_SO4 Tot_PO4 Tot_Al Tot_Fe2 Tot_Fe3 Tot_HS Tot_Bu Tot_Va Temp_C];

% Input initial guesses (The user may need to adjust the initial guesses
% if the solution does not converge)
% =======================================================================

x0 = zeros(1,20);

x0(1) =5.28E-08;
x0(2) =1.9873E-21;
%x0(3) =5.47557E-22;
x0(3) =CONSTINFLUENT_ADM1(1,26);
x0(4) =0.069889004;
x0(5) =0.003885586;
x0(6) =0.001038179;
x0(7) =0.000116706;
x0(8) =2.16677E-20;
x0(9) =2.11934E-20;
x0(10) =5.44408E-05;
x0(11) =2.05939E-20;
x0(12) =-2.62434E-25;
x0(13) = 6.29114E-23;
x0(14) = 2.07341E-20;
x0(15) = 1.26047E-25;
x0(16) = -3.53274E-21;
x0(17)  = 6.50852E-05;
x0(18)  = 4.40839E-05;
x0(19)  = 0.089170442;
x0(20)  = 0.745779332;

CHEM_INIT = [x0];


% Equilibrum constant at 25 oC (MINTEQ database in PHREEQC)
% =========================================================

% -logK                   Equilibrium constant K                            Reaction
%===============         ==========================                       =============
pK_AlAc2 = -4.6;         K_AlAc2 = 10^(-pK_AlAc2);              %   Al+3 + 3Ac- <--> Al(Ac)+2
pK_AlOH2 = 10.294;       K_AlOH2 = 10^(-pK_AlOH2);              %   Al+3 + 3OH- <--> Al(OH)+2
pK_AlOH3_aq = 16.691;    K_AlOH3_aq = 10^(-pK_AlOH3_aq);        %   Al+3 + 3OH- <--> Al(OH)3
pK_AlOH4 = 23;           K_AlOH4 = 10^(-pK_AlOH4);              %   Al+3 + 4OH- <--> Al(OH)4-
pK_AlS2O8 = -5.58;       K_AlS2O8 = 10^(-pK_AlS2O8);            %   Al+3 + 2SO4-2 <--> Al2(SO4)-2
pK_Al2OH8 = 7.694;       K_Al2OH8 = 10^(-pK_Al2OH8);            %   2Al+3 + 2OH- <--> Al2(OH)2-4
pK_Al2OH2Ac3 = 2.414;    K_Al2OH2Ac3 = 10^(-pK_Al2OH2Ac3);      %   2Al+3 + 2OH- + 3Ac- <--> Al(OH)2Ac+3
pK_Al2OH2CO3 = -4.31;    K_Al2OH2CO3 = 10^(-pK_Al2OH2CO3);      %   2Al+3 + 2OH- + CO3-2 <--> Al2(OH)2CO3+2
pK_Al2PO4 = -18.98;      K_Al2PO4 = 10^(-pK_Al2PO4);            %   3Al+3 + 4OH- <--> Al3(OH)4+5
pK_Al3OH4 = 13.888;      K_Al3OH4 = 10^(-pK_Al3OH4);            %   Ca+2 + CO3-2<-->  CaCO3
pK_AlAc = -2.75;         K_AlAc = 10^(-pK_AlAc);                %   Al+3 + Ac- <--> AlAc+2
pK_AlBu = -2.19;         K_AlBu = 10^(-pK_AlBu);                %   Al+3 + Bu- <--> AlBu+2
pK_AlCl = 0.39;          K_AlCl = 10^(-pK_AlCl);                %   Al+3 + Cl- <--> AlCl+2
pK_AlHPO4 = -20.01;      K_AlHPO4 = 10^(-pK_AlHPO4);            %   Al+3 + HPO4-2 <--> AlHPO4+
pK_AlOH = 4.997;         K_AlOH = 10^(-pK_AlOH);                %   Al+3 + OH- <--> AlOH+2
pK_AlOHAc = 0.147;       K_AlOHAc = 10^(-pK_AlOHAc);            %   Al+3 + OH- + Ac- <--> AlOHAc+
pK_AlPr = -2.3;          K_AlPr = 10^(-pK_AlPr);                %   Al+3 + Pr- <--> AlPr+2
pK_AlSO4 = -3.84;        K_AlSO4 = 10^(-pK_AlSO4);              %   Al+3 + SO4-2 <--> AlSO4+
pK_CaN2H6 = 18.59;       K_CaN2H6 = 10^(-pK_CaN2H6);            %   Ca+2 + 2NH4+ <--> Ca(NH3)2+2 + 2H+
pK_CaAc = -1.18;         K_CaAc = 10^(-pK_CaAc);                %   Ca+2 + Ac- <--> CaAc+
pK_CaBu = -0.94;         K_CaBu = 10^(-pK_CaBu);                %   Ca+2 + Val- <--> CaBu+
pK_CaCl = -0.4;          K_CaCl = 10^(-pK_CaCl);                %   Ca+2 + Cl- <--> CaCl+
pK_CaCO3_aq = -3.22;     K_CaCO3_aq = 10^(-pK_CaCO3_aq);        %   Ca+2 + CO3-2<-->  CaCO3
pK_CaH2PO4 = -20.923;    K_CaH2PO4 = 10^(-pK_CaH2PO4);          %   Ca+2 + 2H+ + PO4-3 <--> CaH2PO4+
pK_CaHCO3 = -11.434;     K_CaHCO3 = 10^(-pK_CaHCO3);            %   Ca+2 + CO3-2 + H+ <--> CaHCO3+
pK_CaHPO4_aq = -15.035;  K_CaHPO4_aq  = 10^(-pK_CaHPO4_aq );    %   CaHPO4:2H2O <--> Ca+2 + H+ + PO4-3 + 2H2O
pK_CaNH3 = 9.04;         K_CaNH3 = 10^(-pK_CaNH3);              %   Ca+2 + NH4+ <--> CaNH3+2 + H+
pK_CaOH = 12.697;        K_CaOH = 10^(-pK_CaOH);                %   Ca+2 + OH- <-->  CaOH^+
pK_CaPO4 = -6.46;        K_CaPO4 = 10^(-pK_CaPO4);              %   Ca+2 + PO4-3 <--> CaPO4-
pK_CaPr = -0.93;         K_CaPr = 10^(-pK_CaPr);                %   Ca+2 + Pr- <--> CaPr+
pK_CaSO4_aq = -2.36;     K_CaSO4_aq = 10^(-pK_CaSO4_aq);        %   Ca+2 + CO3-2 <-->  CaCO3
pK_CaVa = -0.3;          K_CaVa = 10^(-pK_CaVa);                %   Ca+2 + Va- <--> CaVa+
pK_FeAc2 = -7.57;        K_FeAc2 = 10^(-pK_FeAc2);              %   Fe+2 + 2Ac- <--> Fe(Ac)2+
pK_FeAc3_aq = -9.5867;   K_FeAc3_aq = 10^(-pK_FeAc3_aq);        %   Fe+3 + 3Ac- <--> Fe(Ac)3
pK_FeN2H6 = 16.24;       K_FeN2H6 = 10^(-pK_FeN2H6);            %   Fe+2 + 2NH4+ <--> Fe(NH3)2+2 + 2H+
pK_FeN3H9 = 25.05;       K_FeN3H9 = 10^(-pK_FeN3H9);            %   Fe+2 + 3NH4+ <--> Fe(NH3)3+2 + 2H+
pK_FeN4H12 = 34.23;      K_FeN4H12 = 10^(-pK_FeN4H12);          %   Fe+2 + 4NH4+ <--> Fe(NH3)4+2 + 2H+
pK_FeOH2_aq = 20.494;    K_FeOH2_aq = 10^(-pK_FeOH2_aq);        %   Fe+2 + 2OH- <-->  Fe(OH)2(aq)
pK_FeOH2 = 5.75;         K_FeOH2 = 10^(-pK_FeOH2);              %   Fe+3 + 2OH- <-->  Fe(OH)2+
pK_FeOH3 = 30.991;       K_FeOH3 = 10^(-pK_FeOH3);              %   Fe+2 + 3OH- <-->  Fe(OH)3-
pK_FeOH3_aq = 15;        K_FeOH3_aq = 10^(-pK_FeOH3_aq);        %   Fe+3 + 3OH- <-->  Fe(OH)3_aq
pK_FeOH4 = 22.7;         K_FeOH4 = 10^(-pK_FeOH4);              %   Fe+3 + 4OH- <-->  Fe(OH)4-
pK_FeS2O8 = -5.38;       K_FeS2O8 = 10^(-pK_FeS2O8);            %   Fe+3 + 2SO4-2 <-->  Fe(SO4)2-
pK_Fe2O2H2 = 2.894;      K_Fe2O2H2 = 10^(-pK_Fe2O2H2);          %   2Fe+2 + 2OH- <-->  Fe2(OH)2+4
pK_Fe3O4H4 = 6.288;      K_Fe3O4H4 = 10^(-pK_Fe3O4H4);          %   3Fe+2 + 4OH- <-->  Fe3(OH)4+5
pK_FeAc = -1.4;          K_FeAc = 10^(-pK_FeAc);                %   Fe+2 + Ac- <-->  FeAc+
pK_FeAc_2 = -4.24;       K_FeAc_2 = 10^(-pK_FeAc_2);            %   Fe+3 + Ac- <-->  FeAc+2
pK_FeBu_2 = -3.41;       K_FeBu_2 = 10^(-pK_FeBu_2);            %   Fe+3 + Bu- <-->  FeBu+2
pK_FeCl = 0.2;           K_FeCl = 10^(-pK_FeCl);                %   Fe+2 + Cl- <-->  FeCl+
pK_FeCl_2 = -1.48;       K_FeCl_2 = 10^(-pK_FeCl_2);            %   Fe+3 + Ac- <-->  FeCl+2
pK_FeH2PO4 = -22.273;    K_FeH2PO4 = 10^(-pK_FeH2PO4);          %   Fe+2 + 2H+ + PO4-3 <-->  FeH2PO4+
pK_FeH2PO4_2 = -23.85;   K_FeH2PO4_2 = 10^(-pK_FeH2PO4_2);      %   Fe+3 + 2H+ + PO4-3 <-->  FeH2PO4+2
pK_FeHCO3 = -11.429;     K_FeHCO3 = 10^(-pK_FeHCO3);            %   Fe+2 + H+ + CO3-2 <-->  FeHCO3+
pK_FeHPO4_aq = -15.975;  K_FeHPO4_aq = 10^(-pK_FeHPO4_aq);      %   Fe+2 + H+ + PO4-3 <-->  FeHPO4(aq)
pK_FeHPO4 = -22.2855;    K_FeHPO4 = 10^(-pK_FeHPO4);            %   Fe+3 + H+ + PO4-3 <-->  FeHPO4+
pK_FeHS = -5.62;         K_FeHS = 10^(-pK_FeHS);                %   Fe+2 + HS- <-->  FeHS+
pK_FeNH3 = 7.84;         K_FeNH3 = 10^(-pK_FeNH3);              %   Fe+2 + NH4+ <-->  FeNH3+2 + H+
pK_FeOH = 9.397;         K_FeOH = 10^(-pK_FeOH);                %   Fe+2 + OH- <-->  FeOH+
pK_FeOH_2 = 2.02;        K_FeOH_2 = 10^(-pK_FeOH_2);            %   Fe+3 + OH- <-->  FeOH+2
pK_FePr = -3.71;         K_FePr = 10^(-pK_FePr);                %   Fe+3 + Pr- <-->  FePr+2
pK_FeSO4_aq = -2.39;     K_FeSO4_aq = 10^(-pK_FeSO4_aq);        %   Fe+2 + SO4-2 <-->  FeSO4(aq)
pK_FeSO4 = -4.25;        K_FeSO4 = 10^(-pK_FeSO4);              %   Fe+3 + SO4-2 <-->  FeSO4+
pK_FeVa_2 = -3.51;       K_FeVa_2 = 10^(-pK_FeVa_2);            %   Fe+3 + Va- <-->  FeVa+2
pK_H2CO3_aq = -16.681;   K_H2CO3_aq = 10^(-pK_H2CO3_aq);        %   2H^+ + CO3-2 <--> H2CO3
pK_H2PO4 = -19.573;       K_H2PO4 = 10^(-pK_H2PO4);              %   2H+ + PO4-3 <--> H2PO4-
pK_H2S_aq = -7.02;       K_H2S_aq = 10^(-pK_H2S_aq);            %   H+ + HS- <--> H2S(aq)
pK_H3PO4 = -21.72;       K_H3PO4 = 10^(-pK_H3PO4);              %   3H+ + PO4-3 <--> H3PO4
pK_HAc_aq = -4.757;      K_HAc_aq = 10^(-pK_HAc_aq);            %   H+ + Ac- <--> HAc+
pK_HBu_aq = -4.818;      K_HBu_aq = 10^(-pK_HBu_aq);            %   H+ + Bu- <--> HBu+
pK_HCO3 = -10.329;       K_HCO3 = 10^(-pK_HCO3);                %   H^+ + CO3-2 <--> HCO3-
pK_HPO4 = -12.375;        K_HPO4 = 10^(-pK_HPO4);                %   H+ + PO4-2 <--> HPO4-2
pK_HPr_aq = -4.874;      K_HPr_aq = 10^(-pK_HPr_aq);            %   H+ + Pr-  <--> HPr+
pK_HSO4 = -1.99;         K_HSO4 = 10^(-pK_HSO4);                %   H+ + PO4-2 <--> HPO4-2
pK_HVa_aq = -4.843;      K_HVa_aq = 10^(-pK_HVa_aq);            %   H+ + Va- <--> HVa+
pK_K2HPO4_aq = -13.5;    K_K2HPO4_aq = 10^(-pK_K2HPO4_aq);      %   H+ + 2K+ + PO4-3 <--> K2HPO4
pK_K2PO4 = -2.26;        K_K2PO4 = 10^(-pK_K2PO4);              %   2K+ + PO4-3 <--> H2PO4-
pK_KAc_aq = 0.27;        K_KAc_aq = 10^(-pK_KAc_aq);            %   K+ + Ac-  <--> KAc
pK_KCl_aq = 0.3;         K_KCl_aq = 10^(-pK_KCl_aq);            %   K+ + Cl-  <--> KCl
pK_KH2PO4_aq = -19.87;   K_KH2PO4_aq = 10^(-pK_KH2PO4_aq);      %   2H+ + K+ + PO4-3 <--> KH2PO4
pK_KHPO4 = -13.255;      K_KHPO4 = 10^(-pK_KHPO4);              %   H+ + K+ + PO4-3 <--> KHPO4-
pK_KOH_aq = 13.757;      K_KOH_aq = 10^(-pK_KOH_aq);            %   K+ + OH- <-->  KOH
pK_KPO4 = -1.43;         K_KPO4 = 10^(-pK_KPO4);                %   K+ + PO4-3 <--> KPO4-2
pK_KSO4 = -0.85;         K_KSO4 = 10^(-pK_KSO4);                %   K+ + SO4-3 <--> KSO4-
pK_MgN2H6 = 18.29;       K_MgN2H6 = 10^(-pK_MgN2H6);            %   Mg+2 + 2NH4+ <--> Mg(NH3)2+2 + 2H+
pK_Mg2CO3 = -3.59;       K_Mg2CO3 = 10^(-pK_Mg2CO3);            %   2Mg+2 + CO3-2+ <--> Mg2CO3+2 
pK_MgAc = -1.26;         K_MgAc = 10^(-pK_MgAc);                %   Mg+2 + Ac- + <--> MgAc+
pK_MgBu = -0.96;         K_MgBu = 10^(-pK_MgBu);                %   Mg+2 + Bu- + <--> MgBu+
pK_MgCl = -0.6;          K_MgCl = 10^(-pK_MgCl);                %   Mg+2 + Cl- + <--> MgCl+
pK_MgCO3_aq = -2.92;     K_MgCO3_aq = 10^(-pK_MgCO3_aq);        %   Mg+2 + CO3- + <--> MgCO3
pK_MgHCO3 = -11.34;      K_MgHCO3 = 10^(-pK_MgHCO3);            %   Mg+2 + H+ + CO3-2 <--> MgHCO3+
pK_MgHPO4_aq = -15.175;  K_MgHPO4_aq = 10^(-pK_MgHPO4_aq);      %   Mg+2 + H+ + PO4-3 <--> MgHPO4
pK_MgOH = 11.417;        K_MgOH = 10^(-pK_MgOH);                %   Mg+2 + OH- <--> MgOH
pK_MgPO4 = -4.654;       K_MgPO4 = 10^(-pK_MgPO4);              %   Mg+2 + PO4-3 <--> MgPO4
pK_MgPr = -0.97;         K_MgPr = 10^(-pK_MgPr);                %   Mg+2 + Pr- + <--> MgPr+
pK_MgSO4_aq = -2.26;     K_MgSO4_aq = 10^(-pK_MgSO4_aq);        %   Mg+2 + SO4-3 <--> MgSO4
pK_Na2HPO4_aq = -13.32;  K_Na2HPO4_aq = 10^(-pK_Na2HPO4_aq);    %   2Na+ + H+ + PO4-3 <--> Na2HPO4
pK_Na2PO4 = -2.59;       K_Na2PO4 = 10^(-pK_Na2PO4);            %   2Na+ + PO4-3 <--> Na2PO4-
pK_NaAc_aq = 0.12;       K_NaAc_aq = 10^(-pK_NaAc_aq);          %   Na+ + Ac- <--> NaAc
pK_NaCl_aq = 0.3;        K_NaCl_aq = 10^(-pK_NaCl_aq);          %   Na+ + Cl- <--> NaCl
pK_NaCO3 = -1.27;        K_NaCO3 = 10^(-pK_NaCO3);              %   Na+ + CO3-2 <-->  NaCO3-
pK_NaH2PO4_aq = -19.873; K_NaH2PO4_aq = 10^(-pK_NaH2PO4_aq);    %   Na+ + 2H+ + PO4-3 <--> NaH2PO4
pK_NaHCO3_aq = -10.029;  K_NaHCO3_aq = 10^(-pK_NaHCO3_aq);      %   Na+ + H+ + CO3-2 <--> NaHCO3
pK_NaHPO4 = -13.45;      K_NaHPO4 = 10^(-pK_NaHPO4);            %   Na+ + H+ + PO4-3 <--> NaHPO4-
pK_NaOH_aq = 13.897;     K_NaOH_aq = 10^(-pK_NaOH_aq);          %   Na+ + OH- + <--> NaOH
pK_NaPO4 = -1.43;        K_NaPO4 = 10^(-pK_NaPO4);              %   Na+ + PO4-3 <--> NaPO4-2
pK_NaSO4 = -0.74;        K_NaSO4 = 10^(-pK_NaSO4);              %   Na+ + SO4-2 <--> NaSO4-
pK_NH3_aq = 9.244;       K_NH3_aq = 10^(-pK_NH3_aq);            %   NH4+ <--> NH3 + H+
pK_NH4SO4 = -1.03;       K_NH4SO4 = 10^(-pK_NH4SO4);            %   NH4+ + SO4-2 <--> NH4SO4-
pK_H2O = 13.997;         K_H2O = 10^(-pK_H2O);                  %   H_2 O - H^+ <--> OH^-  
pK_S = 17.4;             K_S = 10^(-pK_S);                      %   HS- - H+ <--> S-2 
pK_CO2 = -18.147;        K_CO2 = 10^(-pK_CO2);                  %   CO3-2 + 2H+ --> CO2(g))+H2O


% Heat of reaction (Joule/mole) at 25 oC (MINTEQ database in PHREEQC)
% ===================================================================

DH_AlAc2 = 41000;      % (see above reaction)
DH_AlOH2 = 122500;
DH_AlOH3_aq = 176300;
DH_AlOH4 = 183000;
DH_AlS2O8 = 11900;
DH_Al2OH8 = 74620;
DH_Al2OH2Ac3 = 0;
DH_Al2OH2CO3 = 0;
DH_Al2PO4 = 0;
DH_Al3OH4 = 140240;
DH_AlAc = 16000;
DH_AlBu = 0;
DH_AlCl = 0;
DH_AlHPO4 = 0;
DH_AlOH = 47810;
DH_AlOHAc = 0;
DH_AlPr = 12000;
DH_AlSO4 = 9000;
DH_CaN2H6 = 0;      % (see above reaction)
DH_CaAc = 4000;
DH_CaBu = 3347.2;
DH_CaCl = 4000;
DH_CaCO3_aq = 16000;
DH_CaH2PO4 = -6000;
DH_CaHCO3 = 0;
DH_CaHPO4_aq = -3000;
DH_CaNH3 = 0;
DH_CaOH = 64110;
DH_CaPO4 = 12970.4;
DH_CaPr = 3347.2;
DH_CaSO4_aq = 7100;
DH_CaVa = 0;
DH_FeAc2 = 0;
DH_FeAc3_aq = 0;
DH_FeN2H6 = 89000;
DH_FeN3H9= 133000;
DH_FeN4H12 = 177000;
DH_FeOH2_aq = 119620;
DH_FeOH2 = 37700;
DH_FeOH3 = 126430;
DH_FeOH3_aq = 75300;
DH_FeOH4 = 154800;
DH_FeS2O8 = 19200;
DH_Fe2O2H2 = 56420;
DH_Fe3O4H4 = 65240;
DH_FeAc = 0;
DH_FeAc_2 = 25000;
DH_FeBu_2 = 11000;
DH_FeCl = 0;
DH_FeCl_2 = 23000;
DH_FeH2PO4 = 0;
DH_FeH2PO4_2 = 0;
DH_FeHCO3 = 0;
DH_FeHPO4_aq = 0;
DH_FeHPO4 = -30543.2;
DH_FeHS = 0;
DH_FeNH3 = 44100;
DH_FeOH = -55810;
DH_FeOH_2 = 25100;
DH_FePr = 21000;
DH_FeSO4_aq = 8000; 
DH_FeSO4 = 25000;
DH_FeVa_2 = 13000;
DH_H2CO3_aq = -32000;
DH_H2PO4 = -18000;
DH_H2S_aq = -22000;
DH_H3PO4 = -10500;
DH_HAc_aq = 410;
DH_HBu_aq = 2800;
DH_HCO3 = -14600; 
DH_HPO4 = -15000;
DH_HPr_aq = 750;
DH_HSO4 = 22000;
DH_HVa_aq = 2800;
DH_K2HPO4_aq = 0;
DH_K2PO4 = 0;
DH_KAc_aq = 4000;
DH_KCl_aq = -4000;
DH_KH2PO4_aq = 0;
DH_KHPO4 = 0;
DH_KOH_aq = 55810;
DH_KPO4 = 15000;
DH_KSO4 = 4100;
DH_MgN2H6 = 99000;
DH_Mg2CO3 = 0;
DH_MgAc = 0;
DH_MgBu = 0;
DH_MgCl = 4000;
DH_MgCO3_aq = 10000;
DH_MgHCO3 = -9600;
DH_MgHPO4_aq = -3000;
DH_MgOH = 67810;
DH_MgPO4 = 12970.4;
DH_MgPr = 4267.7;
DH_MgSO4_aq = 5800;
DH_Na2HPO4_aq = 0;
DH_Na2PO4 = 0;
DH_NaAc_aq = 8000;
DH_NaCl_aq = -8000;
DH_NaCO3 = -20350;
DH_NaH2PO4_aq = 0;
DH_NaHCO3_aq = -28330.1;
DH_NaHPO4 = 0;
DH_NaOH_aq = 59810;
DH_NaPO4 = 8000;
DH_NaSO4 = 1000;
DH_NH3_aq = 52000;
DH_NH4SO4 = 0;
DH_H2O = 55810;
DH_S = 49400;
DH_CO2 = -4060;


% Gas constant
% ------------
R = 8.314; % J/mole/K

% Calculate the temperature in Kelvin
% -----------------------------------
Temp_K = Temp_C + 273.15;

% Calcualte the temperature dependence of the equilibrium constant 
% using the Van't Hoff expression.
% ------------------------------------------------------------
if Temp_C == 25
    KT_AlAc2 = K_AlAc2; 
else
    KT_AlAc2 = 10^(log10(K_AlAc2) - DH_AlAc2/2.303/R*(1/Temp_K - 1/298.15));
end 

if Temp_C == 25
    KT_AlOH2 = K_AlOH2; 
else
    KT_AlOH2 = 10^(log10(K_AlOH2) - DH_AlOH2/2.303/R*(1/Temp_K - 1/298.15));
end 

if Temp_C == 25
    KT_AlOH3_aq = K_AlOH3_aq; 
else
    KT_AlOH3_aq = 10^(log10(K_AlOH3_aq) - DH_AlOH3_aq/2.303/R*(1/Temp_K - 1/298.15));
end 

if Temp_C == 25
    KT_AlOH4 = K_AlOH4; 
else
    KT_AlOH4 = 10^(log10(K_AlOH4) - DH_AlOH4/2.303/R*(1/Temp_K - 1/298.15));
end 

if Temp_C == 25
    KT_AlS2O8 = K_AlS2O8; 
else
    KT_AlS2O8 = 10^(log10(K_AlS2O8) - DH_AlS2O8/2.303/R*(1/Temp_K - 1/298.15));
end  

if Temp_C == 25
    KT_Al2OH8 = K_Al2OH8; 
else
    KT_Al2OH8 = 10^(log10(K_Al2OH8) - DH_Al2OH8/2.303/R*(1/Temp_K - 1/298.15));
end 

if Temp_C == 25
    KT_Al2OH2Ac = K_Al2OH2Ac3; 
else
    KT_Al2OH2Ac = 10^(log10(K_Al2OH2Ac3) - DH_Al2OH2Ac3/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_AlOH2CO3 = K_Al2OH2CO3; 
else
    KT_AlOH2CO3 = 10^(log10(K_Al2OH2CO3) - DH_Al2OH2CO3/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_Al2PO4 = K_Al2PO4; 
else
    KT_Al2PO4 = 10^(log10(K_Al2PO4) - DH_Al2PO4/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_Al3OH4 = K_Al3OH4; 
else
    KT_Al3OH4 = 10^(log10(K_Al3OH4) - DH_Al3OH4/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_AlBu = K_AlBu; 
else
    KT_AlBu = 10^(log10(K_AlBu) - DH_AlBu/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_AlAc = K_AlAc; 
else
    KT_AlAc = 10^(log10(K_AlAc) - DH_AlAc/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_AlCl = K_AlCl; 
else
    KT_AlCl = 10^(log10(K_AlCl) - DH_AlCl/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_AlHPO4 = K_AlHPO4; 
else
    KT_AlHPO4 = 10^(log10(K_AlHPO4) - DH_AlHPO4/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_AlOH = K_AlOH; 
else
    KT_AlOH = 10^(log10(K_AlOH) - DH_AlOH/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_AlOHAc = K_AlOHAc; 
else
    KT_AlOHAc = 10^(log10(K_AlOHAc) - DH_AlOHAc/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_AlPr = K_AlPr; 
else
    KT_AlPr = 10^(log10(K_AlPr) - DH_AlPr/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_AlSO4 = K_AlSO4; 
else
    KT_AlSO4 = 10^(log10(K_AlSO4) - DH_AlSO4/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_CaN2H6 = K_CaN2H6; 
else
    KT_CaN2H6 = 10^(log10(K_CaN2H6) - DH_CaN2H6/2.303/R*(1/Temp_K - 1/298.15));
end 

if Temp_C == 25
    KT_CaAc = K_CaAc; 
else
    KT_CaAc = 10^(log10(K_CaAc) - DH_CaAc/2.303/R*(1/Temp_K - 1/298.15));
end 
if Temp_C == 25
    KT_CaBu = K_CaBu; 
else
    KT_CaBu = 10^(log10(K_CaBu) - DH_CaBu/2.303/R*(1/Temp_K - 1/298.15));
end 

if Temp_C == 25
    KT_CaCl = K_CaCl;
else
    KT_CaCl = 10^(log10(K_CaCl) - DH_CaCl/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_CaH2PO4 = K_CaH2PO4;
else
    KT_CaH2PO4 = 10^(log10(K_CaH2PO4) - DH_CaH2PO4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_CaCO3_aq = K_CaCO3_aq;
else
    KT_CaCO3_aq = 10^(log10(K_CaCO3_aq) - DH_CaCO3_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_CaHCO3 = K_CaHCO3;
else
    KT_CaHCO3 = 10^(log10(K_CaHCO3) - DH_CaHCO3/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25 
    KT_CaHPO4_aq = K_CaHPO4_aq;
else
    KT_CaHPO4_aq = 10^(log10(K_CaHPO4_aq) - DH_CaHPO4_aq/2.303/R*(1/Temp_K - 1/298.15)); 
end

if Temp_C == 25
    KT_CaNH3 = K_CaNH3; 
else
    KT_CaNH3 = 10^(log10(K_CaNH3) - DH_CaNH3/2.303/R*(1/Temp_K - 1/298.15));
end 

if Temp_C == 25
    KT_CaOH = K_CaOH;
else
    KT_CaOH = 10^(log10(K_CaOH) - DH_CaOH/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_CaPO4 = K_CaPO4;
else
    KT_CaPO4 = 10^(log10(K_CaPO4) - DH_CaPO4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_CaPr = K_CaPr; 
else
    KT_CaPr = 10^(log10(K_CaPr) - DH_CaPr/2.303/R*(1/Temp_K - 1/298.15));
end 

if Temp_C == 25
    KT_CaSO4_aq = K_CaSO4_aq;
else
    KT_CaSO4_aq = 10^(log10(K_CaSO4_aq) - DH_CaSO4_aq/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_CaVa = K_CaVa;
else
    KT_CaVa = 10^(log10(K_CaVa) - DH_CaVa/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeAc2 = K_FeAc2;
else
    KT_FeAc2 = 10^(log10(K_FeAc2) - DH_FeAc2/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_FeAc3_aq = K_FeAc3_aq;
else
    KT_FeAc3_aq = 10^(log10(K_FeAc3_aq) - DH_FeAc3_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_FeN2H6 = K_FeN2H6;
else
    KT_FeN2H6 = 10^(log10(K_FeN2H6) - DH_FeN2H6/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_FeN3H9 = K_FeN3H9;
else
    KT_FeN3H9 = 10^(log10(K_FeN3H9) - DH_FeN3H9/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeN4H12 = K_FeN4H12;
else
    KT_FeN4H12 = 10^(log10(K_FeN4H12) - DH_FeN4H12/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_FeOH2_aq = K_FeOH2_aq;
else
    KT_FeOH2_aq = 10^(log10(K_FeOH2_aq) - DH_FeOH2_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_FeOH2 = K_FeOH2;
else
    KT_FeOH2 = 10^(log10(K_FeOH2) - DH_FeOH2/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_FeOH3 = K_FeOH3;
else
    KT_FeOH3 = 10^(log10(K_FeOH3) - DH_FeOH3/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_FeOH3_aq = K_FeOH3_aq;
else
    KT_FeOH3_aq = 10^(log10(K_FeOH3_aq) - DH_FeOH3_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_FeOH4 = K_FeOH4;
else
    KT_FeOH4= 10^(log10(K_FeOH4) - DH_FeOH4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_FeS2O8 = K_FeS2O8;
else
    KT_FeS2O8= 10^(log10(K_FeS2O8) - DH_FeS2O8/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_Fe2O2H2 = K_Fe2O2H2;
else
    KT_Fe2O2H2= 10^(log10(K_Fe2O2H2) - DH_Fe2O2H2/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_Fe3O4H4 = K_Fe3O4H4;
else
    KT_Fe3O4H4= 10^(log10(K_Fe3O4H4) - DH_Fe3O4H4/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeAc = K_FeAc;
else
    KT_FeAc= 10^(log10(K_FeAc) - DH_FeAc/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeAc_2 = K_FeAc_2;
else
    KT_FeAc_2= 10^(log10(K_FeAc_2) - DH_FeAc_2/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeBu_2 = K_FeBu_2;
else
    KT_FeBu_2= 10^(log10(K_FeBu_2) - DH_FeBu_2/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeCl = K_FeCl;
else
    KT_FeCl= 10^(log10(K_FeCl) - DH_FeCl/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeCl_2 = K_FeCl_2;
else
    KT_FeCl_2= 10^(log10(K_FeCl_2) - DH_FeCl_2/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeH2PO4 = K_FeH2PO4;
else
    KT_FeH2PO4= 10^(log10(K_FeH2PO4) - DH_FeH2PO4/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeH2PO4_2 = K_FeH2PO4_2;
else
    KT_FeH2PO4_2= 10^(log10(K_FeH2PO4_2) - DH_FeH2PO4_2/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeHCO3 = K_FeHCO3;
else
    KT_FeHCO3= 10^(log10(K_FeHCO3) - DH_FeHCO3/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeHPO4_aq = K_FeHPO4_aq;
else
    KT_FeHPO4_aq = 10^(log10(K_FeHPO4_aq) - DH_FeHPO4_aq/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeHPO4 = K_FeHPO4;
else
    KT_FeHPO4 = 10^(log10(K_FeHPO4) - DH_FeHPO4/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeHS = K_FeHS;
else
    KT_FeHS = 10^(log10(K_FeHS) - DH_FeHS/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeNH3 = K_FeNH3;
else
    KT_FeNH3 = 10^(log10(K_FeNH3) - DH_FeNH3/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeOH = K_FeOH;
else
    KT_FeOH = 10^(log10(K_FeOH) - DH_FeOH/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeOH_2 = K_FeOH_2;
else
    KT_FeOH_2 = 10^(log10(K_FeOH_2) - DH_FeOH_2/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FePr = K_FePr;
else
    KT_FePr = 10^(log10(K_FePr) - DH_FePr/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeSO4_aq = K_FeSO4_aq;
else
    KT_FeSO4_aq = 10^(log10(K_FeSO4_aq) - DH_FeSO4_aq/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeSO4 = K_FeSO4;
else
    KT_FeSO4 = 10^(log10(K_FeSO4) - DH_FeSO4/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_FeVa_2 = K_FeVa_2;
else
    KT_FeVa_2 = 10^(log10(K_FeVa_2) - DH_FeVa_2/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_H2CO3_aq = K_H2CO3_aq;
else
    KT_H2CO3_aq = 10^(log10(K_H2CO3_aq) - DH_H2CO3_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_H2PO4 = K_H2PO4;
else
    KT_H2PO4 = 10^(log10(K_H2PO4) - DH_H2PO4/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_H2S_aq = K_H2S_aq;
else
    KT_H2S_aq = 10^(log10(K_H2S_aq) - DH_H2S_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_H3PO4 = K_H3PO4;
else
    KT_H3PO4 = 10^(log10(K_H3PO4) - DH_H3PO4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_HAc_aq = K_HAc_aq; 
else
    KT_HAc_aq = 10^(log10(K_HAc_aq) - DH_HAc_aq/2.303/R*(1/Temp_K - 1/298.15));
end 

if Temp_C == 25
    KT_HBu_aq = K_HBu_aq; 
else
    KT_HBu_aq = 10^(log10(K_HBu_aq) - DH_HBu_aq/2.303/R*(1/Temp_K - 1/298.15));
end 

if Temp_C == 25 
    KT_HCO3 = K_HCO3;
else
    KT_HCO3 = 10^(log10(K_HCO3) - DH_HCO3/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_HPO4 = K_HPO4;
else
    KT_HPO4 = 10^(log10(K_HPO4) - DH_HPO4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_HPr_aq = K_HPr_aq;
else
    KT_HPr_aq = 10^(log10(K_HPr_aq) - DH_HPr_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_HSO4 = K_HSO4;
else
    KT_HSO4 = 10^(log10(K_HSO4) - DH_HSO4/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_HVa_aq = K_HVa_aq;
else
    KT_HVa_aq = 10^(log10(K_HVa_aq) - DH_HVa_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25 
    KT_K2HPO4_aq = K_K2HPO4_aq;
else
    KT_K2HPO4_aq = 10^(log10(K_K2HPO4_aq) - DH_K2HPO4_aq/2.303/R*(1/Temp_K - 1/298.15)); 
end

if Temp_C == 25
    KT_K2PO4 = K_K2PO4;
else
    KT_K2PO4 = 10^(log10(K_K2PO4) - DH_K2PO4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_KAc_aq = K_KAc_aq;
else
    KT_KAc_aq = 10^(log10(K_KAc_aq) - DH_KAc_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_KCl_aq = K_KCl_aq;
else
    KT_KCl_aq = 10^(log10(K_KCl_aq) - DH_KCl_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_KH2PO4_aq = K_KH2PO4_aq;
else
    KT_KH2PO4_aq = 10^(log10(K_KH2PO4_aq) - DH_KH2PO4_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_KHPO4 = K_KHPO4;
else
    KT_KHPO4 = 10^(log10(K_KHPO4) - DH_KHPO4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_KOH_aq = K_KOH_aq;
else
    KT_KOH_aq = 10^(log10(K_KOH_aq) - DH_KOH_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_KPO4 = K_KPO4;
else
    KT_KPO4 = 10^(log10(K_KPO4) - DH_KPO4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_KSO4 = K_KSO4;
else
    KT_KSO4 = 10^(log10(K_KSO4) - DH_KSO4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_MgN2H6 = K_MgN2H6;
else
    KT_MgN2H6 = 10^(log10(K_MgN2H6) - DH_MgN2H6/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_Mg2CO3 = K_Mg2CO3;
else
    KT_Mg2CO3 = 10^(log10(K_Mg2CO3) - DH_Mg2CO3/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_MgAc = K_MgAc;
else
    KT_MgAc = 10^(log10(K_MgAc) - DH_MgAc/2.303/R*(1/Temp_K - 1/298.15));
end
if Temp_C == 25
    KT_MgBu = K_MgBu;
else
    KT_MgBu = 10^(log10(K_MgBu) - DH_MgBu/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_MgCl = K_MgCl;
else
    KT_MgCl = 10^(log10(K_MgCl) - DH_MgCl/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_MgCO3_aq = K_MgCO3_aq;
else
    KT_MgCO3_aq = 10^(log10(K_MgCO3_aq) - DH_MgCO3_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_MgHCO3 = K_MgHCO3;
else
    KT_MgHCO3 = 10^(log10(K_MgHCO3) - DH_MgHCO3/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_MgHPO4_aq = K_MgHPO4_aq;
else
    KT_MgHPO4_aq = 10^(log10(K_MgHPO4_aq) - DH_MgHPO4_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_MgOH = K_MgOH;
else
    KT_MgOH = 10^(log10(K_MgOH) - DH_MgOH/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_MgPO4 = K_MgPO4;
else
    KT_MgPO4 = 10^(log10(K_MgPO4) - DH_MgPO4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_MgPr = K_MgPr;
else
    KT_MgPr = 10^(log10(K_MgPr) - DH_MgPr/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_MgSO4_aq = K_MgSO4_aq;
else
    KT_MgSO4_aq = 10^(log10(K_MgSO4_aq) - DH_MgSO4_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_Na2HPO4_aq = K_Na2HPO4_aq;
else
    KT_Na2HPO4_aq = 10^(log10(K_Na2HPO4_aq) - DH_Na2HPO4_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_Na2PO4 = K_Na2PO4;
else
    KT_Na2PO4 = 10^(log10(K_Na2PO4) - DH_Na2PO4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_NaAc_aq = K_NaAc_aq;
else
    KT_NaAc_aq = 10^(log10(K_NaAc_aq) - DH_NaAc_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_NaCl_aq = K_NaCl_aq;
else
    KT_NaCl_aq = 10^(log10(K_NaCl_aq) - DH_NaCl_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_NaCO3 = K_NaCO3;
else
    KT_NaCO3 = 10^(log10(K_NaCO3) - DH_NaCO3/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_NaH2PO4_aq = K_NaH2PO4_aq;
else
    KT_NaH2PO4_aq = 10^(log10(K_NaH2PO4_aq) - DH_NaH2PO4_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_NaHCO3_aq = K_NaHCO3_aq;
else
    KT_NaHCO3_aq = 10^(log10(K_NaHCO3_aq) - DH_NaHCO3_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_NaHPO4 = K_NaHPO4;
else
    KT_NaHPO4 = 10^(log10(K_NaHPO4) - DH_NaHPO4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_NaOH_aq = K_NaOH_aq;
else
    KT_NaOH_aq = 10^(log10(K_NaOH_aq) - DH_NaOH_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_NaPO4 = K_NaPO4;
else
    KT_NaPO4 = 10^(log10(K_NaPO4) - DH_NaPO4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_NaSO4 = K_NaSO4;
else
    KT_NaSO4 = 10^(log10(K_NaSO4) - DH_NaSO4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_NH3_aq = K_NH3_aq;
else
    KT_NH3_aq = 10^(log10(K_NH3_aq) - DH_NH3_aq/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_NH4SO4 = K_NH4SO4;
else
    KT_NH4SO4 = 10^(log10(K_NH4SO4) - DH_NH4SO4/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_H2O = K_H2O;
else
    KT_H2O = 10^(log10(K_H2O) - DH_H2O/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_S = K_S;
else
    KT_S = 10^(log10(K_S) - DH_S/2.303/R*(1/Temp_K - 1/298.15));
end

if Temp_C == 25
    KT_CO2 = K_CO2;
else
    KT_CO2 = 10^(log10(K_CO2) - DH_CO2/2.303/R*(1/Temp_K - 1/298.15));
end

CHEM_PAR = [KT_AlAc2, KT_AlOH2,KT_AlOH3_aq, KT_AlOH4, KT_AlS2O8, KT_Al2OH8,KT_Al2OH2Ac,KT_AlOH2CO3, KT_Al2PO4,KT_Al3OH4,KT_AlBu,KT_AlAc,KT_AlCl,KT_AlHPO4,KT_AlOH,KT_AlOHAc,KT_AlPr,KT_AlSO4...
    KT_CaN2H6,KT_CaAc,KT_CaBu,KT_CaCl,KT_CaH2PO4,KT_CaCO3_aq,KT_CaHCO3,KT_CaHPO4_aq,KT_CaNH3,KT_CaOH,KT_CaPO4,KT_CaPr,KT_CaSO4_aq,KT_CaVa,KT_FeAc2,KT_FeAc3_aq,KT_FeN2H6,KT_FeN3H9...
    KT_FeN4H12,KT_FeOH2_aq,KT_FeOH2,KT_FeOH3,KT_FeOH3_aq,KT_FeOH4,KT_FeS2O8,KT_Fe2O2H2,KT_Fe3O4H4,KT_FeAc,KT_FeAc_2, KT_FeBu_2,KT_FeCl,KT_FeCl_2, KT_FeH2PO4, KT_FeH2PO4_2, KT_FeHCO3...
    KT_FeHPO4_aq,KT_FeHPO4,KT_FeHS,KT_FeNH3,KT_FeOH,KT_FeOH_2,KT_FePr,KT_FeSO4_aq,KT_FeSO4,KT_FeVa_2,KT_H2CO3_aq,KT_H2PO4,KT_H2S_aq,KT_H3PO4,KT_HAc_aq,KT_HBu_aq,KT_HCO3,KT_HPO4...
    KT_HPr_aq,KT_HSO4,KT_HVa_aq,KT_K2HPO4_aq,KT_K2PO4,KT_KAc_aq,KT_KCl_aq,KT_KH2PO4_aq,KT_KHPO4,KT_KOH_aq,KT_KPO4,KT_KSO4,KT_MgN2H6,KT_Mg2CO3,KT_MgAc,KT_MgBu,KT_MgCl,KT_MgCO3_aq,KT_MgHCO3...
    KT_MgHPO4_aq, KT_MgOH,KT_MgPO4,KT_MgPr,KT_MgSO4_aq,KT_Na2HPO4_aq,KT_Na2PO4,KT_NaAc_aq,KT_NaCl_aq,KT_NaCO3,KT_NaH2PO4_aq,KT_NaHCO3_aq,KT_NaHPO4,KT_NaOH_aq,KT_NaPO4,KT_NaSO4...
    KT_NH3_aq,KT_NH4SO4,KT_H2O,KT_S,KT_CO2];


% Activity coefficient temperature dependent parameter A
% --------------------------------------------------------

d = 1 - (Temp_C - 3.9863)^2*(Temp_C +288.9414)/(508929.2*(Temp_C + 68.12963))+0.011445*exp(-374.3/Temp_C); % density

eps = 2727.586 + 0.6224107*Temp_K - 466.9151*log(Temp_K) - 52000.87/Temp_K; % dielectric constant

A = 1.82483*10^6*d^0.5/(eps*Temp_K)^(3/2); % Temperature dependent parameter

ACTIVITY =  [d eps A];
