% Initialisation file for all states and parameters related to the
% BSM2 system.
% The state values are set to the latest previous simulation results.
% Internal controller and actuator states are not initialised.
%
% Copyright: Ulf Jeppsson, IEA, Lund University, Lund, Sweden

[m n] = size(reac1);

%Hydraulic delay at the input to the activated sludge 
S_I_ASin = ASinput(m,1);
S_S_ASin = ASinput(m,2);
X_I_ASin = ASinput(m,3);
X_S_ASin = ASinput(m,4);
X_BH_ASin = ASinput(m,5);
X_BA_ASin = ASinput(m,6);
X_P_ASin = ASinput(m,7);
S_O_ASin = ASinput(m,8);
S_NO_ASin = ASinput(m,9);
S_NH_ASin = ASinput(m,10);
S_ND_ASin = ASinput(m,11);
X_ND_ASin = ASinput(m,12);
S_ALK_ASin = ASinput(m,13);
TSS_ASin = ASinput(m,14);
Q_ASin = ASinput(m,15);
T_ASin = ASinput(m,16);
S_D1_ASin = ASinput(m,17);
S_D2_ASin = ASinput(m,18);
S_D3_ASin = ASinput(m,19);
X_D4_ASin = ASinput(m,20);
X_D5_ASin = ASinput(m,21);

%Hydraulic delay at the input to the primary clarifier 
S_I_Pin = primaryinput(m,1);
S_S_Pin = primaryinput(m,2);
X_I_Pin = primaryinput(m,3);
X_S_Pin = primaryinput(m,4);
X_BH_Pin = primaryinput(m,5);
X_BA_Pin = primaryinput(m,6);
X_P_Pin = primaryinput(m,7);
S_O_Pin = primaryinput(m,8);
S_NO_Pin = primaryinput(m,9);
S_NH_Pin = primaryinput(m,10);
S_ND_Pin = primaryinput(m,11);
X_ND_Pin = primaryinput(m,12);
S_ALK_Pin = primaryinput(m,13);
TSS_Pin = primaryinput(m,14);
Q_Pin = primaryinput(m,15);
T_Pin = primaryinput(m,16);
S_D1_Pin = primaryinput(m,17);
S_D2_Pin = primaryinput(m,18);
X_D4_Pin = primaryinput(m,20);
S_D3_Pin = primaryinput(m,19);
X_D5_Pin = primaryinput(m,21);

%Primary clarifier  
S_I_P =  primaryout(m,43);
S_S_P =  primaryout(m,44);
X_I_P =  primaryout(m,45);
X_S_P =  primaryout(m,46);
X_BH_P = primaryout(m,47);
X_BA_P = primaryout(m,48);
X_P_P =  primaryout(m,49);
S_O_P =  primaryout(m,50);
S_NO_P = primaryout(m,51);
S_NH_P = primaryout(m,52);
S_ND_P = primaryout(m,53);
X_ND_P = primaryout(m,54);
S_ALK_P = primaryout(m,55);
TSS_P = primaryout(m,56);
Q_P = primaryout(m,57);
T_P = primaryout(m,58);
S_D1_P = primaryout(m,59);
S_D2_P = primaryout(m,60);
S_D3_P = primaryout(m,61);
X_D4_P = primaryout(m,62);
X_D5_P = primaryout(m,63);

%Activated sludge reactors  
S_I1 = reac1(m,1);
S_S1 = reac1(m,2);
X_I1 = reac1(m,3);
X_S1 = reac1(m,4);
X_BH1 = reac1(m,5);
X_BA1 = reac1(m,6);
X_P1 = reac1(m,7);
S_O1 = reac1(m,8);
S_NO1 = reac1(m,9);
S_NH1 = reac1(m,10);
S_ND1 = reac1(m,11);
X_ND1 = reac1(m,12);
S_ALK1 = reac1(m,13);
TSS1 = reac1(m,14);
Q1 = reac1(m,15);
T1 = reac1(m,16);
S_D1_1 = reac1(m,17);
S_D2_1 = reac1(m,18);
S_D3_1 = reac1(m,19);
X_D4_1 = reac1(m,20);
X_D5_1 = reac1(m,21);

S_I2 = reac2(m,1);
S_S2 = reac2(m,2);
X_I2 = reac2(m,3);
X_S2 = reac2(m,4);
X_BH2 = reac2(m,5);
X_BA2 = reac2(m,6);
X_P2 = reac2(m,7);
S_O2 = reac2(m,8);
S_NO2 = reac2(m,9);
S_NH2 = reac2(m,10);
S_ND2 = reac2(m,11);
X_ND2 = reac2(m,12);
S_ALK2 = reac2(m,13);
TSS2 = reac2(m,14);
Q2 = reac2(m,15);
T2 = reac2(m,16);
S_D1_2 = reac2(m,17);
S_D2_2 = reac2(m,18);
S_D3_2 = reac2(m,19);
X_D4_2 = reac2(m,20);
X_D5_2 = reac2(m,21);

S_I3 = reac3(m,1);
S_S3 = reac3(m,2);
X_I3 = reac3(m,3);
X_S3 = reac3(m,4);
X_BH3 = reac3(m,5);
X_BA3 = reac3(m,6);
X_P3 = reac3(m,7);
S_O3 = reac3(m,8);
S_NO3 = reac3(m,9);
S_NH3 = reac3(m,10);
S_ND3 = reac3(m,11);
X_ND3 = reac3(m,12);
S_ALK3 = reac3(m,13);
TSS3 = reac3(m,14);
Q3 = reac3(m,15);
T3 = reac3(m,16);
S_D1_3 = reac3(m,17);
S_D2_3 = reac3(m,18);
S_D3_3 = reac3(m,19);
X_D4_3 = reac3(m,20);
X_D5_3 = reac3(m,21);

S_I4 = reac4(m,1);
S_S4 = reac4(m,2);
X_I4 = reac4(m,3);
X_S4 = reac4(m,4);
X_BH4 = reac4(m,5);
X_BA4 = reac4(m,6);
X_P4 = reac4(m,7);
S_O4 = reac4(m,8);
S_NO4 = reac4(m,9);
S_NH4 = reac4(m,10);
S_ND4 = reac4(m,11);
X_ND4 = reac4(m,12);
S_ALK4 = reac4(m,13);
TSS4 = reac4(m,14);
Q4 = reac4(m,15);
T4 = reac4(m,16);
S_D1_4 = reac4(m,17);
S_D2_4 = reac4(m,18);
S_D3_4 = reac4(m,19);
X_D4_4 = reac4(m,20);
X_D5_4 = reac4(m,21);

S_I5 = reac5(m,1);
S_S5 = reac5(m,2);
X_I5 = reac5(m,3);
X_S5 = reac5(m,4);
X_BH5 = reac5(m,5);
X_BA5 = reac5(m,6);
X_P5 = reac5(m,7);
S_O5 = reac5(m,8);
S_NO5 = reac5(m,9);
S_NH5 = reac5(m,10);
S_ND5 = reac5(m,11);
X_ND5 = reac5(m,12);
S_ALK5 = reac5(m,13);
TSS5 = reac5(m,14);
Q5 = reac5(m,15);
T5 = reac5(m,16);
S_D1_5 = reac5(m,17);
S_D2_5 = reac5(m,18);
S_D3_5 = reac5(m,19);
X_D4_5 = reac5(m,20);
X_D5_5 = reac5(m,21);


%Settler states 
%Settler states 

SI_1 = settler(m,1);
SS_1 = settler(m,2);
XI_1 = settler(m,3); 
XS_1 = settler(m,4); 
XBH_1 = settler(m,5);
XBA_1 = settler(m,6);
XP_1 = settler(m,7);
SO_1 = settler(m,8);
SNO_1 = settler(m,9);
SNH_1 = settler(m,10);
SND_1 = settler(m,11);
XND_1 = settler (m,12);
SALK_1 = settler(m,13);
TSS_1 = settler(m,14);
T_1 = settler(m,15);
SD1_1 = settler(m,16);
SD2_1 = settler(m,17);
SD3_1 = settler(m,18);
XD4_1 =  settler(m,19);
XD5_1 =  settler(m,20);

SI_2 = settler(m,21);
SS_2 = settler(m,22);
XI_2 = settler(m,23); 
XS_2 = settler(m,24); 
XBH_2 = settler(m,25);
XBA_2 = settler(m,26);
XP_2 = settler(m,27);
SO_2 = settler(m,28);
SNO_2 = settler(m,29);
SNH_2 = settler(m,30);
SND_2 = settler(m,31);
XND_2 = settler (m,32);
SALK_2 = settler(m,33);
TSS_2 = settler(m,34);
T_2 = settler(m,35);
SD1_2 = settler(m,36);
SD2_2 = settler(m,37);
SD3_2 = settler(m,38);
XD4_2 =  settler(m,39);
XD5_2 =  settler(m,40);

SI_3 = settler(m,41);
SS_3 = settler(m,42);
XI_3 = settler(m,43); 
XS_3 = settler(m,44); 
XBH_3 = settler(m,45);
XBA_3 = settler(m,46);
XP_3 = settler(m,47);
SO_3 = settler(m,48);
SNO_3 = settler(m,49);
SNH_3 = settler(m,50);
SND_3 = settler(m,51);
XND_3 = settler (m,52);
SALK_3 = settler(m,53);
TSS_3 = settler(m,54);
T_3 = settler(m,55);
SD1_3 = settler(m,56);
SD2_3 = settler(m,57);
SD3_3 = settler(m,58);
XD4_3 =  settler(m,59);
XD5_3 =  settler(m,60);

SI_4 = settler(m,61);
SS_4 = settler(m,62);
XI_4 = settler(m,63); 
XS_4 = settler(m,64); 
XBH_4 = settler(m,65);
XBA_4 = settler(m,66);
XP_4 = settler(m,67);
SO_4 = settler(m,68);
SNO_4 = settler(m,69);
SNH_4 = settler(m,70);
SND_4 = settler(m,71);
XND_4 = settler (m,72);
SALK_4 = settler(m,73);
TSS_4 = settler(m,74);
T_4 = settler(m,75);
SD1_4 = settler(m,76);
SD2_4 = settler(m,77);
SD3_4 = settler(m,78);
XD4_4 =  settler(m,79);
XD5_4 =  settler(m,80);

SI_5 = settler(m,81);
SS_5 = settler(m,82);
XI_5 = settler(m,83); 
XS_5 = settler(m,84); 
XBH_5 = settler(m,85);
XBA_5 = settler(m,86);
XP_5 = settler(m,87);
SO_5 = settler(m,88);
SNO_5 = settler(m,89);
SNH_5 = settler(m,90);
SND_5 = settler(m,91);
XND_5 = settler (m,92);
SALK_5 = settler(m,93);
TSS_5 = settler(m,94);
T_5 = settler(m,95);
SD1_5 = settler(m,96);
SD2_5 = settler(m,97);
SD3_5 = settler(m,98);
XD4_5 =  settler(m,99);
XD5_5 =  settler(m,100);

SI_6 = settler(m,101);
SS_6 = settler(m,102);
XI_6 = settler(m,103); 
XS_6 = settler(m,104); 
XBH_6 = settler(m,105);
XBA_6 = settler(m,106);
XP_6 = settler(m,107);
SO_6 = settler(m,108);
SNO_6 = settler(m,109);
SNH_6 = settler(m,110);
SND_6 = settler(m,111);
XND_6 = settler (m,112);
SALK_6 = settler(m,113);
TSS_6 = settler(m,114);
T_6 = settler(m,115);
SD1_6 = settler(m,116);
SD2_6 = settler(m,117);
SD3_6 = settler(m,118);
XD4_6 =  settler(m,119);
XD5_6 =  settler(m,120);

SI_7 = settler(m,121);
SS_7 = settler(m,122);
XI_7 = settler(m,123); 
XS_7 = settler(m,124); 
XBH_7 = settler(m,125);
XBA_7 = settler(m,126);
XP_7 = settler(m,127);
SO_7 = settler(m,128);
SNO_7 = settler(m,129);
SNH_7 = settler(m,130);
SND_7 = settler(m,131);
XND_7 = settler (m,132);
SALK_7 = settler(m,133);
TSS_7 = settler(m,134);
T_7 = settler(m,135);
SD1_7 = settler(m,136);
SD2_7 = settler(m,137);
SD3_7 = settler(m,138);
XD4_7 =  settler(m,139);
XD5_7 =  settler(m,140);

SI_8 = settler(m,141);
SS_8 = settler(m,142);
XI_8 = settler(m,143); 
XS_8 = settler(m,144); 
XBH_8 = settler(m,145);
XBA_8 = settler(m,146);
XP_8 = settler(m,147);
SO_8 = settler(m,148);
SNO_8 = settler(m,149);
SNH_8 = settler(m,150);
SND_8 = settler(m,151);
XND_8 = settler (m,152);
SALK_8 = settler(m,153);
TSS_8 = settler(m,154);
T_8 = settler(m,155);
SD1_8 = settler(m,156);
SD2_8 = settler(m,157);
SD3_8 = settler(m,158);
XD4_8 =  settler(m,159);
XD5_8 =  settler(m,160);

SI_9 = settler(m,161);
SS_9 = settler(m,162);
XI_9 = settler(m,163); 
XS_9 = settler(m,164); 
XBH_9 = settler(m,165);
XBA_9 = settler(m,166);
XP_9 = settler(m,167);
SO_9 = settler(m,168);
SNO_9 = settler(m,169);
SNH_9 = settler(m,170);
SND_9 = settler(m,171);
XND_9 = settler (m,172);
SALK_9 = settler(m,173);
TSS_9 = settler(m,174);
T_9 = settler(m,175);
SD1_9 = settler(m,176);
SD2_9 = settler(m,177);
SD3_9 = settler(m,178);
XD4_9 =  settler(m,179);
XD5_9 =  settler(m,180);

SI_10 = settler(m,181);
SS_10 = settler(m,182);
XI_10 = settler(m,183); 
XS_10 = settler(m,184); 
XBH_10 = settler(m,185);
XBA_10 = settler(m,186);
XP_10 = settler(m,187);
SO_10 = settler(m,188);
SNO_10 = settler(m,189);
SNH_10 = settler(m,190);
SND_10 = settler(m,191);
XND_10 = settler (m,192);
SALK_10 = settler(m,193);
TSS_10 = settler(m,194);
T_10 = settler(m,195);
SD1_10 = settler(m,196);
SD2_10 = settler(m,197);
SD3_10 = settler(m,198);
XD4_10 =  settler(m,199);
XD5_10 =  settler(m,200);

%Anaerobic digester
S_su = digesterout(m,1);
S_aa = digesterout(m,2);
S_fa = digesterout(m,3);
S_va = digesterout(m,4);
S_bu = digesterout(m,5);
S_pro = digesterout(m,6);
S_ac = digesterout(m,7);
S_h2 = digesterout(m,8);
S_ch4 = digesterout(m,9);
S_IC = digesterout(m,10);
S_IN = digesterout(m,11);
S_I = digesterout(m,12);
X_xc = digesterout(m,13);
X_ch = digesterout(m,14);
X_pr = digesterout(m,15);
X_li = digesterout(m,16);
X_su = digesterout(m,17);
X_aa = digesterout(m,18);
X_fa = digesterout(m,19);
X_c4 = digesterout(m,20);
X_pro = digesterout(m,21);
X_ac = digesterout(m,22);
X_h2 = digesterout(m,23);
X_I = digesterout(m,24);
S_cat = digesterout(m,25);
S_an = digesterout(m,26);

S_D1_D = digesterout(m,29);
S_D2_D = digesterout(m,30);
S_D3_D = digesterout(m,31);
S_D4_D = digesterout(m,32);
S_D5_D = digesterout(m,33);
S_D6_D = digesterout(m,34);
S_D7_D = digesterout(m,35);
S_D8_D = digesterout(m,36);
S_D9_D = digesterout(m,37);
S_D10_D = digesterout(m,38);

S_gas_h2 = digesterout(m,39);
S_gas_ch4 = digesterout(m,40);
S_gas_co2 = digesterout(m,41);
S_gas_D3 = digesterout(m,42);
S_gas_D4 = digesterout(m,43);
S_gas_D5 = digesterout(m,44);
S_gas_D6 = digesterout(m,45);
S_gas_D7 = digesterout(m,46);
S_gas_D8 = digesterout(m,47);
S_gas_D9 = digesterout(m,48);
S_gas_D10 = digesterout(m,49);

X_D1_D = digesterout(m,50);
X_D2_D = digesterout(m,51);
X_D3_D = digesterout(m,52);
X_D4_D = digesterout(m,53);
X_D5_D = digesterout(m,54);
X_D6_D = digesterout(m,55);
X_D7_D = digesterout(m,56);
X_D8_D = digesterout(m,57);
X_D9_D = digesterout(m,58);
X_D10_D = digesterout(m,59);

% Storage tank
S_I_S =  storageout(m,1);
S_S_S =  storageout(m,2);
X_I_S =  storageout(m,3);
X_S_S =  storageout(m,4);
X_BH_S = storageout(m,5);
X_BA_S = storageout(m,6);
X_P_S =  storageout(m,7);
S_O_S =  storageout(m,8);
S_NO_S = storageout(m,9);
S_NH_S = storageout(m,10);
S_ND_S = storageout(m,11);
X_ND_S = storageout(m,12);
S_ALK_S = storageout(m,13);
TSS_S = storageout(m,14);
Q_S = storageout(m,15);
T_S = storageout(m,16);
S_D1_S = storageout(m,17);
S_D2_S = storageout(m,18);
S_D3_S = storageout(m,19);
X_D4_S = storageout(m,20);
X_D5_S = storageout(m,21);
VOL_INIT_S = storageout(m,22);

% Speciation Model

S_act_H_initAD = PCM_out(m,1);
S_act_Na_initAD = PCM_out(m,2);
S_act_K_initAD = PCM_out(m,3); 
S_act_NH4_initAD = PCM_out(m,4); 
S_act_Cl_initAD = PCM_out(m,5); 
S_act_Ac_initAD = PCM_out(m,6); 
S_act_Pr_initAD = PCM_out(m,7); 
S_act_Ca_initAD = PCM_out(m,8); 
S_act_Mg_initAD = PCM_out(m,9); 
S_act_CO3_initAD = PCM_out(m,10);
S_act_SO4_initAD = PCM_out(m,11);
S_act_PO4_initAD = PCM_out(m,12);
S_act_Al_initAD = PCM_out(m,13);
S_act_Fe2_initAD = PCM_out(m,14);
S_act_Fe3_initAD = PCM_out(m,15);
S_act_HS_initAD = PCM_out(m,16);
S_act_Bu_initAD = PCM_out(m,17);
S_act_Va_initAD = PCM_out(m,18);
mu_initAD = PCM_out(m,19);
gama_initAD = PCM_out(m,20);


% set initial value vectors for all models
XINITDELAY = [ S_I_ASin  S_S_ASin  X_I_ASin  X_S_ASin  X_BH_ASin  X_BA_ASin  X_P_ASin  S_O_ASin  S_NO_ASin  S_NH_ASin  S_ND_ASin  X_ND_ASin  S_ALK_ASin TSS_ASin Q_ASin T_ASin S_D1_ASin S_D2_ASin S_D3_ASin X_D4_ASin X_D5_ASin ];

XINITDELAYPRIMARY = [ S_I_Pin  S_S_Pin  X_I_Pin  X_S_Pin  X_BH_Pin  X_BA_Pin  X_P_Pin  S_O_Pin  S_NO_Pin  S_NH_Pin  S_ND_Pin  X_ND_Pin  S_ALK_Pin TSS_Pin Q_Pin T_Pin S_D1_Pin S_D2_Pin S_D3_Pin X_D4_Pin X_D5_Pin ];

XINITPRIMARY = [ S_I_P  S_S_P  X_I_P  X_S_P  X_BH_P  X_BA_P  X_P_P  S_O_P  S_NO_P  S_NH_P  S_ND_P  X_ND_P  S_ALK_P TSS_P Q_P T_P S_D1_P S_D2_P S_D3_P X_D4_P X_D5_P ];

XINIT1 = [ S_I1  S_S1  X_I1  X_S1  X_BH1  X_BA1  X_P1  S_O1  S_NO1  S_NH1  S_ND1  X_ND1  S_ALK1 TSS1 Q1 T1 S_D1_1 S_D2_1 S_D3_1 X_D4_1 X_D5_1 ];
XINIT2 = [ S_I2  S_S2  X_I2  X_S2  X_BH2  X_BA2  X_P2  S_O2  S_NO2  S_NH2  S_ND2  X_ND2  S_ALK2 TSS2 Q2 T2 S_D1_2 S_D2_2 S_D3_2 X_D4_2 X_D5_2 ];
XINIT3 = [ S_I3  S_S3  X_I3  X_S3  X_BH3  X_BA3  X_P3  S_O3  S_NO3  S_NH3  S_ND3  X_ND3  S_ALK3 TSS3 Q3 T3 S_D1_3 S_D2_3 S_D3_3 X_D4_3 X_D5_3 ];
XINIT4 = [ S_I4  S_S4  X_I4  X_S4  X_BH4  X_BA4  X_P4  S_O4  S_NO4  S_NH4  S_ND4  X_ND4  S_ALK4 TSS4 Q4 T4 S_D1_4 S_D2_4 S_D3_4 X_D4_4 X_D5_4 ];
XINIT5 = [ S_I5  S_S5  X_I5  X_S5  X_BH5  X_BA5  X_P5  S_O5  S_NO5  S_NH5  S_ND5  X_ND5  S_ALK5 TSS5 Q5 T5 S_D1_5 S_D2_5 S_D3_5 X_D4_5 X_D5_5 ];

SETTLERINIT = [ SI_1 SI_2 SI_3 SI_4 SI_5 SI_6 SI_7 SI_8 SI_9 SI_10      SS_1 SS_2 SS_3 SS_4 SS_5 SS_6 SS_7 SS_8 SS_9 SS_10         XI_1 XI_2 XI_3 XI_4 XI_5 XI_6 XI_7 XI_8 XI_9 XI_10    XS_1 XS_2 XS_3 XS_4 XS_5 XS_6 XS_7 XS_8 XS_9 XS_10    XBH_1 XBH_2 XBH_3 XBH_4 XBH_5 XBH_6 XBH_7 XBH_8 XBH_9 XBH_10     XBA_1 XBA_2 XBA_3 XBA_4 XBA_5 XBA_6 XBA_7 XBA_8 XBA_9 XBA_10   XP_1 XP_2 XP_3 XP_4 XP_5 XP_6 XP_7 XP_8 XP_9 XP_10    SO_1 SO_2 SO_3 SO_4 SO_5 SO_6 SO_7 SO_8 SO_9 SO_10    SNO_1 SNO_2 SNO_3 SNO_4 SNO_5 SNO_6 SNO_7 SNO_8 SNO_9 SNO_10    SNH_1 SNH_2 SNH_3 SNH_4 SNH_5 SNH_6 SNH_7 SNH_8 SNH_9 SNH_10        SND_1 SND_2 SND_3 SND_4 SND_5 SND_6 SND_7 SND_8 SND_9 SND_10   XND_1 XND_2 XND_3 XND_4 XND_5 XND_6 XND_7 XND_8 XND_9 XND_10  SALK_1 SALK_2 SALK_3 SALK_4 SALK_5 SALK_6 SALK_7 SALK_8 SALK_9 SALK_10  TSS_1 TSS_2 TSS_3 TSS_4 TSS_5 TSS_6 TSS_7 TSS_8 TSS_9 TSS_10... 
               T_1 T_2 T_3 T_4 T_5 T_6 T_7 T_8 T_9 T_10            SD1_1 SD1_2 SD1_3 SD1_4 SD1_5 SD1_6 SD1_7 SD1_8 SD1_9 SD1_10                  SD2_1 SD2_2 SD2_3 SD2_4 SD2_5 SD2_6 SD2_7 SD2_8 SD2_9 SD2_10                      SD3_1 SD3_2 SD3_3 SD3_4 SD3_5 SD3_6 SD3_7 SD3_8 SD3_9 SD3_10             XD4_1 XD4_2 XD4_3 XD4_4 XD4_5 XD4_6 XD4_7 XD4_8 XD4_9 XD4_10       XD5_1 XD5_1 XD5_2 XD5_3 XD5_4 XD5_5 XD5_6 XD5_7 XD5_8 XD5_9 XD5_10];

DIGESTERINIT = [S_su S_aa S_fa S_va S_bu S_pro S_ac S_h2 S_ch4 S_IC S_IN S_I X_xc X_ch X_pr X_li X_su X_aa X_fa X_c4 X_pro X_ac X_h2 X_I S_cat S_an... 
                S_D1_D S_D2_D	S_D3_D 	S_D4_D 	S_D5_D 	S_D6_D 	S_D7_D 	S_D8_D 	S_D9_D 	S_D10_D... 
                S_gas_h2 S_gas_ch4 S_gas_co2 S_gas_D3 S_gas_D4 S_gas_D5 S_gas_D6 S_gas_D7 S_gas_D8 S_gas_D9 S_gas_D10...	
                X_D1_D	X_D2_D 	X_D3_D 	X_D4_D 	X_D5_D 	X_D6_D 	X_D7_D 	X_D8_D 	X_D9_D 	X_D10_D];
             
%PHSOLVINIT = [ S_H_ion S_hva S_hbu S_hpro S_hac S_hco3 S_nh3 ];

CHEM_INIT = [S_act_H_initAD S_act_Na_initAD S_act_K_initAD S_act_NH4_initAD S_act_Cl_initAD S_act_Ac_initAD S_act_Pr_initAD S_act_Ca_initAD S_act_Mg_initAD S_act_CO3_initAD S_act_SO4_initAD S_act_PO4_initAD S_act_Al_initAD...
             S_act_Fe2_initAD S_act_Fe3_initAD S_act_HS_initAD S_act_Bu_initAD S_act_Va_initAD mu_initAD gama_initAD];


SH2SOLVINIT = [ S_h2 ];

XINITSTORAGE = [ S_I_S  S_S_S  X_I_S  X_S_S  X_BH_S  X_BA_S  X_P_S  S_O_S  S_NO_S  S_NH_S  S_ND_S  X_ND_S  S_ALK_S TSS_S Q_S T_S S_D1_S S_D2_S S_D3_S X_D4_S X_D5_S VOL_INIT_S ];

Qintr = rec(m,15);
Qr = settler(m,202);
Qw = settler(m,203);

save states_bsm2.mat Qintr Qr Qw XINITDELAY XINITDELAYPRIMARY XINITPRIMARY XINIT1 XINIT2 XINIT3 XINIT4 XINIT5 SETTLERINIT DIGESTERINIT PHSOLVINIT SH2SOLVINIT XINITSTORAGE